---
title: List
url: https://www.tines.com/docs/api/teams/list/
updated: 2026-05-22T14:45:13+00:00
description: Retrieve a list of teams.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Teams](https://www.tines.com/llm/docs/api/teams.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/teams/list/)*

## Description

Retrieve a list of teams.

## Request

HTTP Method: **GET**

| Query Parameter        | Description                                                                                               |
| ---------------------- | --------------------------------------------------------------------------------------------------------- |
| scope                  | **Optional** Filter teams by scope. One of `all`, `standard`, or `personal_only`. Default: `standard`.    |
| include_personal_teams | **Optional** _Deprecated: use `scope` instead._ Include personal teams in the response. Default: `false`. |
| per_page               | **Optional** Set the number of results returned per page.                                                 |
| page                   | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1.       |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/teams \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing teams in the Tines tenant.

### Field description

| Parameter | Description      |
| --------- | ---------------- |
| id        | The team ID.     |
| name      | The team name.   |
| groups    | The team groups. |

### Sample response

<!-- cspell:disable -->

```json
{
  "teams": [
    {
      "id": 1,
      "name": "Security Team",
      "groups": [
        {
          "id": 3,
          "name": "Tier 1"
        }
      ]
    },
    {
      "id": 2,
      "name": "Engineering Team",
      "groups": []
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/teams?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
